@echo OFF
rem  *
rem  * ESA, Enterprise Server Administration
rem  *      Batch Scheduler Interface
rem  *      Parameter 1 is Server Name
rem  *      Parameter 2 is Job Name, a JCL member name without
rem  *                  an extension
rem  *
     set ezServerName=%1
     call ..\..\Env1BASE
     call SimoNOTE "****************************************SYS1SCHEDULE"
     call SimoNOTE "Starting CmdName SYS1SCHEDULE, User is %USERNAME%"
rem  *
     if "%1" == "" (set JobStatus=0091
                    goto EOJNOK)
     if "%2" == "" (set JobStatus=0092
                    goto EOJNOK)
rem  * Schedule and Monitor the Job
     call SimoNOTE "Continue CmdName SYS1SCHEDULE, Server is %ezServerName%, Job is %2 "
     call SimoNOTE "Continue CmdName SYS1SCHEDULE, %DATE% - %TIME% "
rem  * C:\Windows\System32\cmd.exe /C start /affinity 1 C:\(ProgramFolder)\(program).exe
rem  * C:\Windows\System32\cmd.exe /C start /affinity 6 run MFBSIJCL -j%BaseLib1%\JCL\%2.JCL -r%1 END
     run MFBSIJCL -j%BaseLib1%\SYS1\JCL\%2.JCL -r%1 %3 END
     echo * SYS1SCHEDULE, CC=%ERRORLEVEL%
     if not "%ERRORLEVEL%" == "0" set JobStatus=%ERRORLEVEL%
     if not "%JobStatus%" == "0000" goto :EOJNOK
echo * Rename the MFBSI Log file with appended date and time values
     set OLDNAME=%MFBSI_DIR%\%2.LOG
     echo * SYS1SCHEDULE, OLDNAME-1=%OLDNAME%
     run MFBSIEOP
     if not "%ERRORLEVEL%" == "0" set JobStatus=%ERRORLEVEL%
     if not "%JobStatus%" == "0000" goto :EOJNOK
     goto :EOJAOK
:EOJNOK
     if "%JobStatus%" == "0091" (call SimoNOTE "Parameter 1 must be Server Name"
                                 goto EOJNOK2)
     if "%JobStatus%" == "0092" (call SimoNOTE "Parameter 2 must be Job Name"
                                 goto EOJNOK2)
     if "%JobStatus%" == "209"  (call SimoNOTE "Requested JCL Member is missing or invalid,"
                                 call SimoNOTE "or requested server not available"
                                 goto EOJNOK2)
     set OLDNAME=%MFBSI_DIR%\%2.LOG
     echo * SYS1SCHEDULE, OLDNAME-1=%OLDNAME%
     run MFBSIEOP
:EOJNOK2
     call SimoNOTE "ABENDING CmdName SYS1SCHEDULE, %ezServerName%, %2 JobStatus is %JobStatus% "
     goto :END
:EOJAOK
     call SimoNOTE "Complete CmdName SYS1SCHEDULE, %DATE% - %TIME% "
     call SimoNOTE "Complete CmdName SYS1SCHEDULE, %ezServerName%, %2 JobStatus is %JobStatus% "
     goto :END
:END
     exit /B %JobStatus%
