@echo OFF
rem  *
rem  * ESA, Enterprise Server Administration
rem  *      Submit a Job (to a Server or Region)
rem  *      Parameter 1 is Server Name
rem  *      Parameter 2 is Job Name, a JCL member name without
rem  *                  an extension
rem  *
     call ..\..\Env1BASE
     call SimoNOTE "****************************************ezSUB"
     call SimoNOTE "Starting CmdName SYS1SUB, User is %USERNAME%"
rem  *
     if "%1" == "" (set JobStatus=0091
                    goto EOJNOK)
     if "%2" == "" (set JobStatus=0092
                    goto EOJNOK)
rem  *
     call cassub -j%BaseLib1%\SYS1\JCL\%2.JCL -r%1
     if not "%ERRORLEVEL%" == "0" (set JobStatus=%ERRORLEVEL%
                                    goto EOJNOK)
     goto EOJAOK
:EOJNOK
     call SimoNOTE "ABENDING CmdName SYS1SUB, JobStatus is %JobStatus%"
     if "%JobStatus%" == "0091" call SimoNOTE "Parameter 1 must be Server Name"
     if "%JobStatus%" == "0092" call SimoNOTE "Parameter 2 must be Job Name"
     goto :END
:EOJAOK
     call SimoNOTE "Complete CmdName SYS1SUB, JobStatus is %JobStatus%"
     goto :END
:END
     exit /B %JobStatus%
